import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Global } from 'asap-crud';
import { ModelsInterface } from '../interfaces/models.interface';
export declare class Trail implements ModelsInterface {
    private http;
    global: Global;
    id: string;
    name: string;
    date: string;
    titulo?: string;
    descricao?: string;
    arquivo?: string;
    pasta_id?: number;
    role: string;
    tag: string;
    constructor(http: HttpClient, global: Global);
    populate(data: any): Trail;
    findHome(): Observable<any>;
    findAll(): Observable<any>;
    findAllClient(): Observable<any>;
    findAllAvatar(): Observable<any>;
    findAvatar(id: any): Observable<any>;
    findAvatarScore(id: any): Observable<any>;
    findTrainingScore(id: any): Observable<any>;
    avatarUnlock(id: any): Observable<any>;
    aceptChallenge(id: any): Observable<any>;
    challengeCloseModal(id: any): Observable<any>;
    getChallenge(id: any): Observable<any>;
    getChallengeModules(id: any): Observable<any>;
    aceptChallengeModules(id: any): Observable<any>;
    getVideo(id: any): Observable<any>;
    getAllVideo(id: any): Observable<any>;
    findLevels(id: any): Observable<any>;
    searchLevels(id: any): Observable<any>;
    findOneBy(data: any): Observable<any>;
    findBy(id: number): Observable<any>;
    filterBy(data: any[]): Observable<any>;
    update(trail: Trail): Observable<any>;
    persist(trail: Trail): Observable<any>;
    saveData(trail: Trail): Observable<any>;
    delete(id: number): Observable<any>;
    setStatus(data: {
        status: number;
    }, id: number): Observable<any>;
}
